// import { http } from '../http'
import http from '../http'
import global from '../config'

export default {
  // 获取导航菜单
  getNavMenu: () =>
    http
      .post('/base/v1/resource/nav_menu_' + global.getCode())
      .then(res => res),
  //  获取所有导航菜单
  getNavMenuAll: () =>
    http
      .post('/base/v1/resource/all_nav_menu_' + global.getCode())
      .then(res => res),
  // 获取已授权的按钮
  getBtn: () => http.post('/base/v1/resource/list_btn').then(res => res)
}
